Loading...
Searching...
No Matches
Opm::EulerUpstreamResidual< GridInterface, ReservoirProperties, BoundaryConditions > Class Template Reference

Class for doing simple transport by explicit Euler upstream method for general grid. More...

`#include <EulerUpstreamResidual.hpp>`

## Public Types

typedef GridInterface::CellIterator | CIt
typedef CIt::FaceIterator | FIt
typedef FIt::Vector | Vector
typedef ReservoirProperties | RP

## Public Member Functions

| EulerUpstreamResidual ()
| EulerUpstreamResidual (const GridInterface &grid, const ReservoirProperties &resprop, const BoundaryConditions &boundary)
void | initObj (const GridInterface &grid, const ReservoirProperties &resprop, const BoundaryConditions &boundary)
template<class FlowSolution>
void | computeResidual (const std::vector< double > &saturation, const typename GridInterface::Vector &gravity, const FlowSolution &flow_sol, const Opm::SparseVector< double > &injection_rates, const bool method_viscous, const bool method_gravity, const bool method_capillary, std::vector< double > &sat_delta) const
void | computeCapPressures (const std::vector< double > &saturation) const
const GridInterface & | grid () const
const ReservoirProperties & | reservoirProperties () const
const BoundaryConditions & | boundaryConditions () const
template<class PressureSolution>
void | computeResidual (const std::vector< double > &saturation, const typename GI::Vector &gravity, const PressureSolution &pressure_sol, const Opm::SparseVector< double > &injection_rates, const bool method_viscous, const bool method_gravity, const bool method_capillary, std::vector< double > &residual) const

## Friends

template<class S, class P>
struct | EulerUpstreamResidualDetails::UpdateForCell

## Detailed Description

template<class GridInterface, class ReservoirProperties, class BoundaryConditions>
class Opm::EulerUpstreamResidual< GridInterface, ReservoirProperties, BoundaryConditions >

Class for doing simple transport by explicit Euler upstream method for general grid.

Template Parameters

## Constructor & Destructor Documentation

## EulerUpstreamResidual() [1/2]

template<class GI, class RP, class BC>

Opm::EulerUpstreamResidual< GI, RP, BC >::EulerUpstreamResidual | ( |  | ) |

inline

Todo
  Doc me

## EulerUpstreamResidual() [2/2]

template<class GridInterface, class ReservoirProperties, class BoundaryConditions>

Opm::EulerUpstreamResidual< GridInterface, ReservoirProperties, BoundaryConditions >::EulerUpstreamResidual | ( | const GridInterface & | grid,
|  | const ReservoirProperties & | resprop,
|  | const BoundaryConditions & | boundary )

Todo
  Doc me

Parameters

The documentation for this class was generated from the following files:

- opm/porsol/euler/EulerUpstreamResidual.hpp
- opm/porsol/euler/EulerUpstreamResidual_impl.hpp